<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.login.authentication.openid.connect.web.internal.portlet.action.OpenIdConnectLoginRequestMVCRenderCommand">
  <property name="javax.portlet.name" type="String">com_liferay_login_web_portlet_FastLoginPortlet
com_liferay_login_web_portlet_LoginPortlet</property>
  <property name="mvc.command.name" type="String" value="/login/openid_connect_request"/>
  <service>
    <provide interface="com.liferay.portal.kernel.portlet.bridges.mvc.MVCRenderCommand"/>
  </service>
  <reference name="_oAuthClientEntryLocalService" interface="com.liferay.oauth.client.persistence.service.OAuthClientEntryLocalService" field="_oAuthClientEntryLocalService"/>
  <reference name="_openIdConnect" interface="com.liferay.portal.security.sso.openid.connect.OpenIdConnect" field="_openIdConnect"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_servletContext" interface="javax.servlet.ServletContext" target="(osgi.web.symbolicname=com.liferay.login.authentication.openid.connect.web)" field="_servletContext"/>
  <implementation class="com.liferay.login.authentication.openid.connect.web.internal.portlet.action.OpenIdConnectLoginRequestMVCRenderCommand"/>
</scr:component>
